unit D2u1;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls,
  FileCtrl, StdCtrls, ExtCtrls, Buttons, Spin, Mrfilelb, Mrdirlb, Mrpanel,
  Mrfilter, Mrdrivec;

type
  TImageForm = class(TForm)
    MRPanel2: TMRPanel;
    Image1: TImage;
    MRPanel1: TMRPanel;
    MRFileListBox1: TMRFileListBox;
    MRDirectoryListbox1: TMRDirectoryListbox;
    MRDriveCombobox1: TMRDriveCombobox;
    Label1: TLabel;
    MRPanel3: TMRPanel;
    StretchCheck: TCheckBox;
    ViewBtn: TBitBtn;
    procedure FileListBox1Click(Sender: TObject);
    procedure ViewBtnClick(Sender: TObject);
    procedure StretchCheckClick(Sender: TObject);
    procedure FileEditKeyPress(Sender: TObject; var Key: Char);
    procedure MRDirectoryListbox1Resize(Sender: TObject);
    procedure MRPanel2Resize(Sender: TObject);
  end;

var
  ImageForm: TImageForm;

implementation

uses SysUtils;

{$R *.DFM}

procedure TImageForm.FileListBox1Click(Sender: TObject);
var
  FileExt: string[4];
begin
  FileExt := UpperCase(ExtractFileExt(MRFileListBox1.Filename));
  if (FileExt = '.BMP') or (FileExt = '.ICO') or (FileExt = '.WMF') then
  begin
    Image1.Picture.LoadFromFile(MRFileListBox1.Filename);
    Label1.Caption := ExtractFilename(MRFileListBox1.Filename);
    if (FileExt = '.BMP') then
    begin
      Label1.Caption := Label1.Caption + 
        Format(' (%d x %d)', [Image1.Picture.Width, Image1.Picture.Height]);


    end;
    if FileExt = '.ICO' then Icon := Image1.Picture.Icon;
  end;
end;

procedure TImageForm.ViewBtnClick(Sender: TObject);
begin
     {Hide Panel}

If IsZoomed(MrPanel2.handle) then
begin
     {Minimize then Maximize MrPanel2
     so the window has a popup effect in Win 95}
     ShowWindow( MrPanel2.handle, SW_ShowMinimized);
     ShowWindow( MrPanel2.handle, SW_ShowNormal);
end
else
begin
     ShowWindow( MrPanel2.handle, SW_ShowMinimized);
     ShowWindow( MrPanel2.handle, SW_ShowMaximized);
end;
{bring toolbar to front}
mrpanel3.bringtofront;

end;

procedure TImageForm.StretchCheckClick(Sender: TObject);
begin
  Image1.Stretch := StretchCheck.Checked;
end;

procedure TImageForm.FileEditKeyPress(Sender: TObject; var Key: Char);
begin
{  if Key = #13 then
  begin
    MRFileListBox1.ApplyFilePath(FileEdit.Text);
    Key := #0;
  end;}
end;

procedure TImageForm.MRDirectoryListbox1Resize(Sender: TObject);
begin
mrfileListbox1.align:=alClient;
end;

procedure TImageForm.MRPanel2Resize(Sender: TObject);
begin
     MrPanel1.align:=alClient;
end;

end.
